Subject: Re: [iucg] Touchstones for "Mapping"

From: JFC Morfin <[email-masked]>
Date: Thu, 26 Mar 2009 04:50:41 +0100

Dear Vint,
Please do not underestimate this. What we want is this IDNA2008 to be 
acceptable and published asap. Let not make it an IDNA2010.

At 01:24 26/03/2009, Vint Cerf wrote:
>Jfc, this working group and its predecessor made a number of decisions

This WG has been established to correct errors that its predecessor 
may have made and so far has not made any decision. In addition ...

>  as to which characters and categories of unicode characters are 
> permitted for use in domain names.

this WG is chartered to specify the rules for the use of characters 
other than Latin A(a)-Z(z), digits 0-9 and the hyphen ("-") in domain 
names because experience has shown that significant improvements 
could be made in the protocol as presently specified. Not to 
discriminate between these characters, but to support more of them, 
including those not yet specified by Unicode.

However, there may be cases where the stability of the Internet is 
engaged, this is why the charter recognizes that some explicit 
exceptions may be necessary, but attempts will be made to minimize 
these exceptions.

This is not the case of TATWEEL. To the countrary, the reason 
unanimously given concerning TATWEEL is its visual confusion, the 
leading additional comment being that there are other characters in 
the same case. So, this concerns the problem of characters that are 
confusingly similar in appearance that are not specifically part of 
the scope of the WG.

>The working group is chartered and fully empowered to make these 
>choices using any resources and advice at its disposal.

This group is fully empowered to make engineering choices to best 
support the use of other characters than LDH in minimizing the number 
of these choices. The current trend leads to something else. I do not 
oppose that something else as long as it stays wihtin the limits of 
internationalization + localization + filtering. But here 
localization issues are confused with internationalization issues. 
There is a layer violation. As expected, the immediate result is to 
transfer the concerns from scripts to languages: a proposition to 
rename ASIWG to ALIWG will now be discussed in Amman. With the lack 
of support of the French script (majuscules, petites et grandes 
capitales, minuscules) this makes two digressions from mediatics to 
full fledge semiotics... this is a very complex new territory for the IETF.

This WG purpose is not to decide about such things, but to propose 
the solutions everyone will adhere to which permit to address them.

>Any claim to the contrary is simply neither credible nor valid.

Credibility and validity are at least two steps.
- IETF LC and SSDOs will look at coherence.
- Users if they trust and like it.

Let keep things simple/stupid. No exception in the protocol and a 
simple rule to address them where they belong is the simplest.

jfc

>
>----------
>From: [email-masked]
>To: Lisa Dusseault ; Vint Cerf
>Cc: [email-masked] ; [email-masked]
>Sent: Wed Mar 25 17:19:07 2009
>Subject: Re: Touchstones for "Mapping"
>Dear Lisa and Vint,
>It is now considered by some that making TATWEEL DISALLOWED at 
>protocol level is used as a case to show further on that the WG 
>consensus thinks that IETF has authority over what internet users 
>may or may not be allowed as a script for their own language, IRI 
>and IPR over the internet.Â
>
>However,Â
>- such an authority MUST be accompanied by responsibility, according 
>to RFC 3935, as I already documented it.
>-Â I do not find the capacity to discuss (1) the evaluation of the 
>capacity to assume such an authority and (2) the organisation of 
>this responsibilty, in the WG Charter. Â
>
>IMHO this should be clarified ASAP.
>Best.
>jfc

---

From: "Vint Cerf" <[email-masked]>
Date: Wed, 25 Mar 2009 17:24:50 -0700

Jfc, this working group and its predecessor made a number of decisions as to which characters and categories of unicode characters.are permitted for use in domain names. The working group is chartered and fully empowered to make these choices using any resources and advice at its disposal. Any claim to thet contrary is simply neither credible nor valid. 

Vint

________________________________

From: [email-masked] 

Dear Lisa and Vint,
It is now considered by some that making TATWEEL DISALLOWED at protocol level is used as a case to show further on that the WG consensus thinks that IETF has authority over what internet users may or may not be allowed as a script for their own language, IRI and IPR over the internet. 

However, 
- such an authority MUST be accompanied by responsibility, according to RFC 3935, as I already documented it.

- I do not find the capacity to discuss (1) the evaluation of the capacity to assume such an authority and (2) the organisation of this responsibilty, in the WG Charter.

---

From: Alireza Saleh <[email-masked]>
Date: Thu, 26 Mar 2009 15:47:40 +0430

+1

JFC Morfin wrote:
> names because experience has shown that significant improvements could 
> be made in the protocol as presently specified. Not to discriminate 
> between these characters, but to support more of them, including those 
> not yet specified by Unicode.
>
> internationalization + localization + filtering. But here localization 
> issues are confused with internationalization issues. There is a layer 
> violation. As expected, the immediate result is to transfer the 
> concerns from scripts to languages: a proposition to rename ASIWG to 
> ALIWG will now be discussed in Amman. With the lack of support of the 
> French script (majuscules, petites et grandes capitales, minuscules) 
> this makes two digressions from mediatics to full fledge semiotics... 
> this is a very complex new territory for the IETF.
>
> This WG purpose is not to decide about such things, but to propose the 
> solutions everyone will adhere to which permit to address them.
>
>> ------------------------------------------------------------------------
>> *From*: [email-masked]
>> *To*: Lisa Dusseault ; Vint Cerf
>> *Cc*: [email-masked] ; [email-masked]
>> *Sent*: Wed Mar 25 17:19:07 2009
>> *Subject*: Re: Touchstones for "Mapping"
>> Dear Lisa and Vint,
>> consensus thinks that IETF has authority over what internet users may 
>> or may not be allowed as a script for their own language, IRI and IPR 
>> over the internet.�
>>
>> However,�
>> -� I do not find the capacity to discuss (1) the evaluation of the 
>> capacity to assume such an authority and (2) the organisation of this 
>> responsibilty, in the WG Charter. �
>>